'\" t
.\" The preceding magic command will cause tbl to be invoked by man to
.\" filter the input to nroff or troff, on about half of all UNIX
.\" systems.  It must be FIRST in the file.  If your nroff/troff does
.\" not support this, then install the output of "tbl lptops.man"
.\" as /usr/local/man/man1/lptops.1.
.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "3.1.7",
.\"     date            = "02 January 2003",
.\"     time            = "11:48:09 MST",
.\"     filename        = "lptops.man",
.\"     address         = "Center for Scientific Computing
.\"                        Department of Mathematics, 110 LCB
.\"                        155 S 1400 E RM 233
.\"                        University of Utah
.\"                        Salt Lake City, UT 84112-0090
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     URL             = "http://www.math.utah.edu/~beebe",
.\"     checksum        = "14385 1262 5556 38603",
.\"     email           = "beebe@math.utah.edu, beebe@acm.org,
.\"                        beebe@computer.org, beebe@ieee.org (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "ASCII, line printer, lptops, PostScript",
.\"     supported       = "yes",
.\"     docstring       = "This file contains the UNIX manual pages
.\"                        for lptops, a utility for converting
.\"                        text files to PostScript.
.\"
.\"                        This file should contain NO tabs.  It must
.\"                        be formatted by
.\"                            tbl lptops.man | nroff -man
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\"=====================================================================
.TH LPTOPS 1L "02 January 2003" "Version 3.1.7"
.if t .ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.if n .ds Ps PostScript
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds Te TeX
.if t .ds Ts T\s-2RAN\s+2S\s-2CRIPT\s+2
.if n .ds Ts TranScript
.\"=====================================================================
.SH NAME
lptops \-  convert a text file into a PostScript file
.\"=====================================================================
.SH SYNOPSIS
.B lptops
[
.B \-author
]
[
.BI \-bottom =#
]
[
.BI \-c num
]
[
.BI \-clip [=num]
]
.if n .ti +7
[
.BI \-copyright [=num]
]
[
.BI \-e [=num]
]
.if t .ti +3
[
.BI \-font "=font(s)"
]
.if n .ti +7
[
.BI \-i =#
]
[
.BI \-left =#
]
[
.BI \-landscape [=num]
]
.if n .ti +7
[
.BI \-m [=num]
]
.if t .ti +3
[
.BI \-manpage [=num]
]
.if n .ti +7
[
.BI \-n [=[tb][lcr]num]
]
[
.BI \-o [#]
]
[
.BI \-p =#
]
.if t .ti +3
.if n .ti +7
[
.BI \-pages =#,#,#,\|.\|.\|.
]
[
.BI \-pages =#-#,#-#,#-#,\|.\|.\|.
]
.if n .ti +7
[
.BI \-pages =#-#-#,#-#-#,#-#-#,\|.\|.\|.
]
.if n .ti +7
.if t .ti +3
[
.BI \-paper =name
]
[
.BI \-paper =name,#,#,#,#,#,#
]
.if n .ti +7
[
.BI \-quiet [=num]
]
[
.BI \-reverse [=num]
]
[
.BI \-right =#
]
.if n .ti +7
.if t .ti +3
[
.BI \-s num
]
[
.BI \-scribe [=num]
]
[
.BI \-top =#
]
[
.B \-version
]
.if n .ti +7
[
.BI \-wrap [=num]
]
[
.BI \-y =#
]
.RI < " infile"
.RI > " outfile"
.sp 0.5
.B lptops
[ options ]
.I "file1 file2 \|.\|.\|."
.RI  > " outfile"
.\"=====================================================================
.SH DESCRIPTION
.B lptops
converts normal text files into \*(Ps for printing on a \*(Ps printer
or typesetter, or any other \*(Ps-compatible output device.  It
supports:
.RS
.TP \w'\(bu'u+2n
\(bu
selection of a variety of fonts at arbitrary point sizes with
adjustable interline spacing (e.g. for double spacing),
.TP
\(bu
margin specification,
.TP
\(bu
page outlining,
.TP
\(bu
portrait and landscape page orientation,
.TP
\(bu
automatic page numbering,
.TP
\(bu
multi-column printing,
.TP
\(bu
overstruck text (used by many text formatters for underlining and
bolding),
.TP
\(bu
UNIX manual page output from
.BR nroff (1),
.TP
\(bu
ISO8859 Latin-1 (an 8-bit superset of ASCII) and Adobe \*(Ps
character set encodings,
.TP
\(bu
high-precision character coordinates for accurate typesetter output,
.TP
\(bu
initialization file for local customization,
.TP
\(bu
downloadable \*(Ps fonts,
.TP
\(bu
mapping of \*(Ps font names to system-dependent file names,
.TP
\(bu
full conformance of output \*(Ps to Adobe
.I "Document Structuring Conventions"
version 3.0 (see Appendix G of the Adobe red book,
.IR "\*(Ps Language Reference Manual" ,
second edition, Addison-Wesley (1990), ISBN 0-201-18127-4),
.TP
\(bu
clipping of long text lines, and
.TP
\(bu
wrapping of long text lines.
.RE
.PP
.B lptops
normally produces a status report as it completes each page, showing
the page number and line counts for each column on the page.  For
example, with three-column output in the default font, the report
might look something like this: [1.53.53.53] [2.53.53.53]
\&.\|.\|. [47.23.14] [ok].
.PP
The Adobe \*(Ts system provides a program of similar intent, known as
.BR enscript (1L),
but with only a small subset of the capabilities of
.BR lptops .
.PP
The
.BR a2ps (1)
utility also converts text to PostScript, with several interesting and
useful features, but it is not a complete replacement for
.B lptops
either.
.\"=====================================================================
.SH "SPECIFICATION OF DIMENSIONAL VALUES"
In the descriptions in the
.B OPTIONS
section below, physical dimensions described as # may be specified as
a single number with an optional fractional part, and a required
two-letter unit designator.  Possible forms are:
.sp
.TS
tab(,);
l l l.
#.##bp,big point (1in = 72bp),[120.000/Pbp cpi]
#.##cc,cicero (1cc = 12dd),[  9.381/Pcc cpi]
#.##cm,centimeter,[  4.233/Pcm cpi]
#.##dd,didot point (1157dd = 1238pt),[112.569/Pdd cpi]
#.##in,inch,[  1.667/Pin cpi]
#.##mm,millimeter (10mm = 1cm),[ 42.333/Pmm cpi]
#.##pc,pica (1pc = 12pt),[ 10.038/Ppc cpi]
#.##pt,point (72.27pt = 1in),[120.450/Ppt cpi]
#.##sp,scaled point (65536sp = 1pt),[  7.893/(Psp/1000000) cpi]
.TE
.sp
The bracketed values give the number of characters per inch (cpi) for
a point size of P units with the default fixed-width Courier font.
For example, with point size 8bp, there are 120/8 = 15 characters per
inch.  With point size 1000000sp, there are 7.893 characters per inch.
.\"=====================================================================
.SH OPTIONS
On all operating systems,
.B lptops
option names are distinguished from file names by the presence of an
initial hyphen (dash, minus sign).  On TOPS-20 and VAX VMS, following
the conventions of those systems, an initial slash also indicates an
option.  In this documentation, we will use only the hyphen form.
.PP
Options can be supplied in an initialization file, and on the command
line; command-line settings override initialization file settings.
See the
.B "INITIALIZATION FILE"
section below.
.PP
To process a file whose name begins with a hyphen, hide the hyphen
behind a directory path.  For example, on UNIX, the file name
.I -foo.bar
could be written as
.IR ./-foo.bar .
.PP
A command-line argument consisting of a single hyphen is taken as a
reference to the standard input file, rather than as an illegal
option.  UNIX and MS DOS, at least, lack a way of referring to the
standard I/O units by a file name, so the hyphen convention is
commonly used in UNIX software.  A hyphen can be used anywhere a file
name can be used, but only the first instance can usefully supply data
to
.BR lptops .
.PP
Letter case in option names is ignored, but is significant in option
.IR values .
Long option names may be abbreviated to the minimum unique prefix.
.PP
Option descriptions with
.I [=num]
following the option name can have an optional integer value.  If the
value is omitted, then the option if set if it was previously unset,
and unset if it was previously set. If an integer value is provided,
then a zero value unsets the option, and a non-zero value sets it,
independent of any prior setting of the option.  Instead of an integer
value, you may specify a string value of
.IR yes " or " true
to set the option, or
.IR no " or " false
to unset it.  The string values may be abbreviated, and letter case is
not significant.
.PP
For options that take a value, that value
.I must
be supplied in the
.I same
argument, separated from the option name by a colon or equals sign.
The separator character may be preceded and followed by an arbitrary
number of spaces and tabs, provided suitable shell quoting is supplied
to protect the spaces from being interpreted as argument separators.
If the value begins with a non-letter, the separator can be omitted.
For example,
.BI \-p :10bp,
.BI \-p =10bp,
.BI '\-p " 10bp"'
and
.BI \-p 10bp
are equivalent. However
.BI \-f Helvetica
is
.I illegal
because the value starts with a letter; it must be written as
.BI \-f :Helvetica,
.BI \-f =Helvetica,
or
.BI '\-f " Helvetica" ' .
.if t .TP \w'\-landscape[=num]'u+2n
.if n .TP
.B \-author
Display an author credit on
.IR stderr .
.TP
.BI \-bottom =#
Set the bottom margin to # (default: 1.0in).
.TP
.BI \-c num
Print
.I num
copies of each page (default: 1).
.TP
.BI \-clip [=num]
Clip long lines at column boundaries and page margins.  Normally, such
lines are permitted to extended into the next column, or into the
right margin.  See the
.B \-wrap
option for an alternative.
.TP
.BI \-copyright
Display the program copyright on
.IR stderr .
.TP
.BI \-e [=num]
Use Adobe \*(Ps standard character set encoding instead of the default
ISO8859 Latin-1 encoding.  The two encodings are equivalent in the
lower 128 characters of the 256-character set, and the output is
somewhat smaller if the default ISO8859-1 encoding is suppressed by
this option, so pure-ASCII sites may wish to make this the default
(see the
.B "INITIALIZATION FILE"
section below).
.TP
.BI \-font "=font"
(short form) Set the output \*(Ps font name.  The option value is the
full \*(Ps name, or an abbreviation for the full name from the tables
below.  The default is Courier, a fixed-width typewriter font.
Computer program listings and output are usually best displayed in
such a font, so that the output resembles the screen images.
.IP
The following 13 fonts are available on most \*(Ps printers.  The
second column provides font abbreviations used by this and earlier
versions of
.IR lptops ;
the third
column contains
.BR ditroff (1L)
font abbreviations, and the fourth column, Adobe \*(Ts font
abbreviations.  Any of these abbreviations may be used to specify
a font name.
.sp
.TS
center tab(/);
l l l l
l c s s
l l l l .
_/_/_/_
Font/Alternate Names
.sp
Courier/C/C/C
Courier-Bold/CB/CB/CB
Courier-BoldOblique/CBO/CD/CD
Courier-Oblique/CO/CO/CO
Helvetica/H/he/he
Helvetica-Bold/HB/He/He
Helvetica-BoldOblique/HBO/HE/HE
Helvetica-Oblique/HO/hE/hE
Symbol/S/S/S
Times-Bold/TB/R/ti
Times-BoldItalic/TBI/BI/TI
Times-Italic/TI/I/tI
Times-Roman/T/R/ti
_/_/_/_
.TE
.sp
The remaining fonts are available only on enhanced printers, such as the
Apple LaserWriter Plus.
.sp
.TS
center tab(/);
l l l l
l c s s
l l l l.
_/_/_/_
Font/Alternate Names
.sp
AvantGarde-Book/AGB/ag/ag
AvantGarde-BookOblique/AGBO/aG/aG
AvantGarde-Demi/AGD/Ag/Ag
AvantGarde-DemiOblique/AGDO/AG/AG
Bookman-Demi/BD/Bo/Bo
Bookman-DemiItalic/BDI/BO/BO
Bookman-Light/BL/bo/bo
Bookman-LightItalic/BLI/bO/bO
Helvetica-Narrow/HN/hn/hn
Helvetica-Narrow-Bold/HNB/Hn/Hn
Helvetica-Narrow-BoldOblique/HNBO/HN/HN
Helvetica-Narrow-Oblique/HNO/hN/hN
NewCenturySchlbk-Bold/NCSB/Nc/Nc
NewCenturySchlbk-BoldItalic/NCSBI/NC/NC
NewCenturySchlbk-Italic/NCSI/nC/nC
NewCenturySchlbk-Roman/NCSR/nc/nc
Palatino-Bold/PB/Pa/Pa
Palatino-BoldItalic/PBI/PA/PA
Palatino-Italic/PI/pA/pA
Palatino-Roman/PR/pa/pa
ZapfChancery-MediumItalic/ZCMI/ZC/ZC
ZapfDingbats/ZD/ZD/ZD
_/_/_/_
.TE
.sp
.IP
The
.BR ditroff (1L)
and \*(Ts abbreviations are identical, except for the Courier and
Times fonts.  For convenience, matches of option values with the full
font name, and the first abbreviation, ignore letter case.  The second
and third abbreviations are based on two-letter mnemonics, where
upper-case in the first letter indicates bold, and upper-case in the
second letter indicates italic, so letter case is significant for
them.
.IP
Only the Courier fonts are fixed-width fonts.  The others are
proportionally spaced and tabular material will not line up properly.
The Courier fonts have a width equal to 0.6 of their point size, so to
fill a line W inches wide with up to N characters, one must have point
size <= (W/(0.6 * N * 72)) = (W*120)/N bp.  Equivalently, with a point
size P bp, the output spacing is 120/P char/inch.
.IP
If you specify a bold, italic, or bold-italic font name for the normal
font in the
.B \-font
option,
.B lptops
will use different styles for the remaining fonts.  For example,
.BI \-font =Palatino-Bold
would use Palatino-Bold for normal text, and Palatino-Roman for bold text.
.TP
.BI \-font "=normal,bold,italic,bolditalic,typewriter"
(long form) Define a new font family.  Because of its length, this
option would normally not be specified on the command line; see
the
.B "INITIALIZATION FILE"
section below.
.IP
The option value consists of
.I 5n
font names, separated by space, tab, or comma.  If white space is
present in a command-line argument, it may be necessary to supply
suitable shell quoting to prevent interpretation of the spaces as
argument separators.
.IP
The five typeface styles must be complete case-sensitive \*(Ps font
names.  Up to three additional aliases can be provided immediately
following each font name, and the same number of aliases must be
provided for each style.  Aliases make it convenient to have shorter
names for popular fonts.
.IP
Up to 100 additional families can be defined; if necessary,
that limit can be increased at compile time when
.B lptops
is built.
.IP
The five typeface styles should come from the same font family, since it
is usually considered bad typographic practice to mix font families in
running text.  However,
.B lptops
does not prevent such mixing.
.IP
Here are some examples.  The backslash-newline is provided here to
indicate a line break for readability; it is
.I not
present in the actual option.  Spaces in the option values are for
readability; quoting of the complete value is not necessary (or even
possible) for options in an initialization file, but would be required
in command-line use.
.IP
.nf
.BI \-font "=Courier,C,C,C, \e"
.I "      Courier-Bold,CB,CB,CB, \e"
.I "      Courier-Oblique,CO,CO,CO, \e"
.I "      Courier-BoldOblique,CBO,CD,CD, \e"
.I "      Courier,C,C,C"
.fi
.IP
This is equivalent to the default Courier font family, with a short
name, a
.BR ditroff (1)
name, and a \*(Ts name for each style.
.IP
.nf
.BI \-font "=Utopia-Regular,  Utopia-Bold,  Utopia-Italic, \e"
.I "      Utopia-BoldItalic, Courier"
.fi
.IP
This defines the Utopia family, with no aliases for the long font
names; a subsequent
.BI \-font "=Utopia-Regular"
option would be needed to select the font.
.IP
.nf
.BI \-font "=CharterBT-Regular,BCH,  CharterBT-Bold,BCHB,  \e"
.I "      CharterBT-Italic,BCHI, \e"
.I "      CharterBT-BoldItalic,BCHBI,  \e"
.I "      Courier10PitchBT-Roman,BCHT"
.fi
.IP
This defines the Bitstream Charter family, with a single alias for
each long font name.
.TP
.BI \-i =#
Set the top margin to # for the initial page (e.g. for use with
letterhead paper).  If not specified, the value given for the top
margin will be used; see the
.B \-t
option below.
.TP
.BI \-landscape [=num]
Use landscape mode (horizontal page orientation, with printing
parallel to the longest page edge).  The default is portrait mode
(vertical page orientation, with printing parallel to the shortest
page edge).
.IP
The same result can be obtained by choosing a landscape paper type;
see the description of the
.B \-paper
option.
.TP
.BI \-left =#
Set the left margin to # (default: 1.0in).
.TP
.BI \-m [=num]
Produce multiple column output
.RI ( num
columns) (default: 1).  In multiple column mode, formfeeds cause column
breaks instead of page breaks.
.TP
.BI \-manpage [=num]
Input is from
.BR nroff (1).
Overstruck text will be displayed in a bold font, and underlined text
in a normal font with underlining.  The underlining works correctly
with proportionally-spaced fonts as well as fixed-width ones.  The
.B nroff
sequences <+><backspace><o> and <o><backspace><+> will be displayed as
a bullet character from the \*(Ps Symbol font.  <ESCape><7> and
<vertical tab> (reverse line feed), <ESCape><8> (reverse half line
feed), and <ESCape><9> (half line feed) sequences are recognized and
handled.
.IP
Since UNIX manual pages formatted by
.BR nroff (1)
are intended for screen display, best results will be obtained if
a fixed-width font, such as the default Courier, is chosen.  If you
want to typeset manual pages, you should use
.BR ditroff (1L)
or
.BR groff (1L)
instead, since those programs can produce \*(Ps directly, and will use
proportional fonts for the
.I \-man
format.
.TP
.BI \-n [=[tb][lcr]num]
Number the output pages.  The margin in which the number is placed can
be selected by the letters
.I t
(top) or
.I b
(bottom), and the position of the number can be further specified by
.I l
(left),
.I c
(center),
or
.I r
(right).  The number is placed by default in the center of the top
margin.  If
.I num
is given, start numbering with that value, and otherwise with 1.  If
an initial top margin value is given with the
.B \-i
option, numbering will be omitted on the first page if it is at the
top, on the assumption that the top margin modification accounts for a
letter head.
.IP
Pages are unnumbered if this option is not specified.
.TP
.BI \-o [=#]
Outline pages (and columns) with a line that is # units wide.  A
narrow line of 0.4pt width is assumed if # is omitted; this particular
width is what \*(Te uses in typesetting.
.TP
.BI \-p =#
Set the font point size (default: 10bp).  The baseline skip (the
spacing between successive character baselines) is conventionally
chosen to be 6/5 of this value, so that with 10bp type, we have 12bp
between lines, or 6 lines/inch, the same as standard printer output.
.TP
.BI \-pages =#,#,#,\|.\|.\|.
Select pages to be output.  Each entry in the comma-separated list is
a page number, or a page range, or a page range and page step.
Numbers within an entry can be separated by any character other than a
digit or comma.  For example,
.BI \-pages =1,7,10-12,20:30:2
would select pages 1, 7, 10, 11, 12, 20, 22, 24, 26, 28, and 30.  If
multiple
.B \-pages
options are specified, their effect is cumulative.  The previous
example could be written equivalently as
.BI \-pages =1
.BI \-pages =7
.BI \-pages "='10 up to 12'"
.BI \-pages "='20 to 30 by 2'."
The order of multiple
.B \-pages
options, and page ranges, is not significant; thus
.BI \-pages =1:20:2
.BI \-pages =2:20:2
would print all pages from 1 to 20 consecutively,
.I not
odd-numbered pages followed by even-numbered pages.  To accomplish the
latter, you must run
.B lptops
twice.
.TP
.BI \-paper =name
(short form) Select a paper size by name.  The standard sizes available are:
.sp
.TS
center tab(,);
l r r l r r .
_,_,_,_,_,_
Name,Width,Height,Name,Width,Height
_,_,_,_,_,_
A,8.5in,11in,Index:23x35,23in,35in
B,11in,17in,Index:24x36,24in,36in
C,17in,22in,Index:25.5x30.5,25.5in,30.5in
D,22in,34in,Index:28x44,28in,44in
E,34in,44in,A0,841mm,1189mm
Computer-1411,14in,11in,A1,594mm,841mm
Legal,8.5in,13in,A2,420mm,594mm
Letter,8.5in,11in,A3,297mm,420mm
US-Legal,8.5in,14in,A4,210mm,297mm
A-L,11in,8.5in,A5,148mm,210mm
Computer-1411-L,11in,14in,A6,105mm,148mm
Legal-L,13in,8.5in,A7,74mm,105mm
Letter-L,11in,8.5in,A8,52mm,74mm
US-Legal-L,14in,8.5in,A9,37mm,52mm
COM10,4.1in,9.5in,A10,26mm,37mm
DL,110mm,220mm,A0L,1189mm,841mm
Executive,7.25in,10.5in,A1L,841mm,594mm
Monarch,3.9in,7.5in,A2L,594mm,420mm
A4Small,210mm,297mm,A3L,420mm,297mm
Ledger,11in,17in,A4L,297mm,210mm
LetterSmall,8.5in,11in,A5L,210mm,148mm
Note,8.5in,11in,A6L,148mm,105mm
Bond:8.5x11,8.5in,11in,A7L,105mm,74mm
Bond:8.5x14,8.5in,14in,A8L,74mm,52mm
Bond:11x17,11in,17in,A9L,52mm,37mm
Bond:17x22,17in,22in,A10L,37mm,26mm
Bond:17x28,17in,28in,B0,1000mm,1414mm
Bond:19x24,19in,24in,B1,707mm,1000mm
Bond:19x28,19in,28in,B2,500mm,707mm
Bond:22x34,22in,34in,B3,353mm,500mm
UncoatedBook:17.5x22.5,17.5in,22.5in,B4,250mm,353mm
UncoatedBook:19x25,19in,25in,B5,176mm,250mm
UncoatedBook:23x29,23in,29in,B6,125mm,176mm
UncoatedBook:23x35,23in,35in,B0L,1414mm,1000mm
UncoatedBook:25x38,25in,38in,B1L,1000mm,707mm
UncoatedBook:35x45,35in,45in,B2L,707mm,500mm
UncoatedBook:38x50,38in,50in,B3L,500mm,353mm
Text:17.5x22.5,17.5in,22.5in,B4L,353mm,250mm
Text:23x35,23in,35in,B5L,250mm,176mm
Text:25x38,25in,38in,B6L,176mm,125mm
Text:26x40,26in,40in,C0,1294mm,916mm
CoatedBook:19x25,19in,25in,C1,916mm,647mm
CoatedBook:23x29,23in,29in,C2,647mm,458mm
CoatedBook:23x35,23in,35in,C3,458mm,323mm
CoatedBook:25x38,25in,38in,C4,323mm,229mm
CoatedBook:35x45,35in,45in,C5,229mm,161mm
CoatedBook:38x50,38in,50in,C6,161mm,114mm
Cover:20x26,20in,26in,Octavo,5in,8in
Cover:23x35,23in,35in,Sixmo,6.5in,8in
Cover:25x38,25in,38in,Quarto,8in,10in
Cover:26x40,26in,40in,Foolscap,8.5in,13in
Index:22x28,22in,28in,Government-legal,8.5in,13in
Index:22.5x28.5,22.5in,28.5in,Folio,8.3in,13in
Index:23x29,23in,29in,
_,_,_,_,_,_
.TE
.IP
Letter case is
.I not
significant in matching paper names.  Default left, right, top, and
bottom margins are 25mm for paper sizes given in millimeters, and 1in
for sizes in inches.
.TP
.BI \-paper =name,#,#,#,#,#,#
(long form) Define a paper name, and its width, height, left margin,
right margin, bottom margin, and top margin.  If the margin values are
omitted, then 1in values are assumed.  Up to 25 extra paper sizes can
be specified to supplement the built-in ones.
.TP
.BI \-quiet [=num]
Set quiet mode.  Suppress display of status and warning messages on
.IR stderr .
Error messages are never suppressed.
.TP
.BI \-reverse [=num]
Produce pages in reverse order, from last to first.  This order
is appropriate for printers that stack output face up, such as the
original Apple LaserWriter.  Most newer printers stack face down, and
some can do it either way, so this option is a good candidate for
local customization; see the
.B "INITIALIZATION FILE"
section below.
.TP
.BI \-right =#
Set right margin to # (default: 1.0in).
.TP
.BI \-s num
Set special handling.  Use the manual feed tray for the first
.I num
pages
of the output.  If
.I N
multiple copies are in effect (see option
.BR \-c ),
then
.I N*num
sheets must be fed manually.  If
.I num
is omitted, then all pages are to be fed manually.
.TP
.BI \-scribe [=num]
Turn Scribe-like bold and italic requests (@b[\|.\|.\|.] and
@i[\|.\|.\|.]) into bold or italic text.  As a convenient extension to
Scribe's facilities, underline requests of the form @u[\|.\|.\|.] are
also recognized, as well as @h[\|.\|.\|.] for bold-italic, and
@t[\|.\|.\|.] for typewriter text.  The letter following the @ may be
in either case, and string delimiters may be matching braces, square
brackets, parentheses, angle brackets, apostrophes, quotation marks,
or back accents.  The delimiting characters may
.I not
occur in the string.
.IP
To get a single @ in the output, use @@ in the input.  If this option
is not specified, then @ characters have no special significance, and
need not be doubled.
.IP
Control characters other than tab are forbidden between the string
delimiters; thus, a single @b[\|.\|.\|.] cannot be used to print an
entire paragraph in bold text.
.TP
.BI \-top =#
Set the top margin to # (default: 1.0in).
.TP
.B \-version
Display the program version string on
.IR stderr .
.TP
.BI \-wrap [=num]
Wrap long lines at column boundaries and page margins.  Normally, such
lines are permitted to extend into the next column, or into the
right margin.  When this option is selected, line wraps will cause
generation of additional lines, which may introduce additional page
breaks; this can interfere with the appearance of a document that has
already been paginated.  See the
.BI \-clip
option for an alternative.  Effective use of this option requires
access to Adobe font metric files; see the
.B FONTS
section for details.
.TP
.BI \-y =#
Set the interline spacing (baseline skip, or leading) to #.  The
default value is 1.2 times the point size.
.\"=====================================================================
.SH "INITIALIZATION FILE"
Before reading any command-line options,
.B lptops
looks for an initialization file in the
.I AFMPATH
search path (see the
.B ENVIRONMENT
section below).  This file is by default called
.IR lptops.ini ,
but an installer can change its name at compile time.  On IBM VM/CMS,
the period in the file name is replaced by a space.
.PP
The initialization file can contain comments, empty lines,
and option settings.
.PP
Comments go from percent to end-of-line, except that a percent prefixed
by a backslash is reduced to a literal non-comment-starting percent.
.PP
Option settings must be complete on a single
.I logical
line, and can be used to supply site-dependent customizations.
Usually, additional font family settings would be placed in the
initialization file, because they require a long option value
that is inconvenient to provide on the command line.
.PP
A long logical line can be written as multiple physical lines by
breaking at a backslash-newline; those two characters are deleted when
the line is joined to the next line.  Line collapsing happens
.I before
comment stripping, so if a line with a comment is continued, all
following continuation lines are part of the comment.
.PP
Here is a simple example.  Notice the use of backslash-newline to wrap
long lines, and that space between option names and values is
permissible.
.sp
.RS
.nf
% /u/sy/beebe/tex/ndvi/lptops.ini,
% Wed Jun  2 22:30:23 1993
% Edit by Nelson H. F. Beebe <beebe@sunrise>
% This is a sample lptops initialization file for local
% customization.
% [02-Jun-1993]

% define Bitstream Charter font family
-f  CharterBT-Regular, BCH, \e
    CharterBT-Bold, BCHB,   \e
    CharterBT-Italic, BCHI, \e
    CharterBT-BoldItalic, BCHBI, \e
    Courier, BCHT

% define Bitstream Courier font family
-f  Courier10PitchBT-Roman, BC,   \e
    Courier10PitchBT-Bold, BCB,   \e
    Courier10PitchBT-Italic, BCI, \e
    Courier10PitchBT-BoldItalic, BCBI, \e
    Courier10PitchBT-Roman, BCT

% define Adobe Utopia font family
-f  Utopia-Regular, U, \e
    Utopia-Bold, UB,   \e
    Utopia-Italic, UI, \e
    Utopia-BoldItalic, UBI, \e
    Courier, UT

% define URW Antiqua family (only Roman available)
-f =    URWAntiquaT-RegularCondensed, AntiqReg, \e
        URWAntiquaT-RegularCondensed, AntiqReg, \e
        URWAntiquaT-RegularCondensed, AntiqReg, \e
        URWAntiquaT-RegularCondensed, AntiqReg, \e
        Courier, UT

% define URW Grotesk family (only bold available)
-f =    URWGroteskT-Bold, GroteBo, \e
        URWGroteskT-Bold, GroteBo, \e
        URWGroteskT-Bold, GroteBo, \e
        URWGroteskT-Bold, GroteBo, \e
        Courier, UT

% define URW Nimbus Roman family (only Roman available)
-f =    NimbusRomanNo9L-Regular, NimbuRo, \e
        NimbusRomanNo9L-Regular, NimbuRo, \e
        NimbusRomanNo9L-Regular, NimbuRo, \e
        NimbusRomanNo9L-Regular, NimbuRo, \e
        Courier, UT

% define URW Nimbus Sans family (only Roman available)
-f =    NimbusSansL-Regular, NimbuSa, \e
        NimbusSansL-Regular, NimbuSa, \e
        NimbusSansL-Regular, NimbuSa, \e
        NimbusSansL-Regular, NimbuSa, \e
        Courier, UT

-f  Utopia-Regular      % change default font

-p  11bp                % change default point size

-reverse 0              % no page sorting needed
.fi
.RE
.\"=====================================================================
.SH FONTS
.B lptops
supports all the fonts commonly available in \*(Ps printers.  They
are tabulated in the description of the short form of the
.BI \-font =name
option in the
.B OPTIONS
section above.  Additional ones can be added to the built-in list
through the long form of the
.B \-font
option.
.PP
All the built-in font names are assumed to be printer-resident;
font families defined by the long form of the
.B \-font
option are assumed to require downloading.  However, because some
\*(Ps printers have additional resident fonts beyond the standard
set known to
.BR lptops ,
if a downloadable font file cannot be found, the font is assumed to be
printer-resident, and execution will silently continue.  In such a case,
the output \*(Ps will contain suitable comments that identify the needed
fonts, so that spooling software that supports Adobe's
.I "Document Structuring Conventions"
version 3.0
can supply the missing fonts.
.PP
Correct support of the
.B \-wrap
option requires access to Adobe font metric
.RI ( .afm )
files.  If no font metric file can be found, metrics suitable for the
default Courier font are assumed.  Positioning of individual
characters on the line after the first character is left to the \*(Ps
interpreter, so absence of correct font metrics only means that some
line wrapping decisions will be wrong; the text of each line will
still be properly positioned.
.PP
The
.B lptops
distribution includes font metric files for all the built-in fonts,
as well as for a few publicly-distributable downloadable fonts.  Most
\*(Ps-producing software packages will be accompanied by Adobe font
metric files.  Sun systems with OpenLook installed contain font metric
files and downloadable fonts in the directories
.I /usr/openwin/lib/fonts/afm
and
.IR /usr/openwin/lib/fonts .
Adobe font metric files are freely available from the Adobe electronic
mail file server,
.IR ps-file-server@adobe.com ;
send a message with the text
.I help
to get started.
.PP
Font metric files and downloadable font files are searched for in
the
.I AFMPATH
search path, or if that environment variable does not exist, in a
search path set by the installer at compile time.
.PP
Downloadable fonts may be in either ASCII
.RI ( .pfa )
or binary
.RI ( .pfb )
formats.  Binary data from font files is converted to hexadecimal so
that the output \*(Ps files remain completely portable across
operating systems and output devices.
.PP
\*(Ps font files can be converted between binary and ASCII formats with
.BR t1ascii (1L)
and
.BR t1binary (1L),
decoded into human-readable documented \*(Ps commands with
.BR t1disasm (1L),
and reassembled into binary or ASCII formats with
.BR t1asm (1L).
Details on \*(Ps font encoding can be found in the Adobe black book,
.IR "Adobe Type 1 Font Format" ,
Adobe Systems, Inc. (1990).
.\"=====================================================================
.SH "FONT MAPPING"
By default, font file names are constructed by appending
extensions
.IR .afm ,
.IR .pfa ,
or
.I .pfb
to the \*(Ps font names, producing long names in mixed letter case.
While this is satisfactory on newer UNIX systems with extended file
systems, mixed case and long file name lengths may not be acceptable
on older UNIX systems, or on other operating systems.
.PP
.B lptops
therefore supports a simple facility that permits mapping long \*(Ps
font names to shorter system-dependent file names through a mapping
file,
.IR afmfonts.map ,
that is looked for in the
.I AFMPATH
search path.
.PP
The mapping file can contain comments, empty lines, and mapping lines.
.PP
Comments go from percent to end-of-line, except that a percent prefixed
by a backslash is reduced to a literal non-comment-starting percent.
.PP
A long logical line can be written as multiple physical lines by
breaking at a backslash-newline; those two characters are deleted when
the line is joined to the next line.  Line collapsing happens
.I before
comment stripping, so if line with a comment is continued, all
continuation lines are part of the comment.
.PP
Mapping lines each contain a font name and a file name, separated by
white space, and optionally, an equals sign or a colon.  The file
name need not contain a directory path, since it will be searched for
in the
.I AFMPATH
search path.  An explicit directory path prevents the
.I AFMPATH
from being used.  The file extensions can normally be omitted, since
they will be supplied automatically.  If file extensions are supplied,
they must be separated from the base name by a period, since the last
period in the file name marks the location of an extension.
.PP
Here is a simple example of a mapping file:
.sp
.RS
.nf
% /u/sy/beebe/tex/ndvi/new/afm/afmfonts.map,
% Wed Apr 28 19:20:47 1993
% Edit by Nelson H. F. Beebe <beebe@sunrise>
%
% This file is adapted from the Adobe TranScript
% package mapping file, afmfiles.upr.    lptops
% can recognize the syntax of that file, but this
% one is more readable.  It provides a mapping
% from PostScript font names to local pathless
% file names.  The file names need not carry
% extensions, although if one is supplied, it
% should be .afm for compatibility with Adobe
% TranScript mapping files.
%
% The set here is suitable for use on systems,
% such as PC DOS, with 8+3 file naming
% limitations.
%
% [28-Apr-1993]

AvantGarde-Book                 = AvGarBk
AvantGarde-BookOblique          = AvGarBkO
AvantGarde-Demi                 = AvGarDe
AvantGarde-DemiOblique          = AvGarDeO
\&\|.\|.\|.lines omitted\|.\|.\|.
NewCenturySchlbk-Bold           = NewCenBo
NewCenturySchlbk-BoldItalic     = NewCenBoI
NewCenturySchlbk-Italic         = NewCenI
NewCenturySchlbk-Roman          = NewCenRo
\&\|.\|.\|.lines omitted\|.\|.\|.
ZapfChancery-MediumItalic       = ZapChaMeI
ZapfDingbats                    = ZapDing

% Bitstream Charter, Bitstream Courier, and Adobe
% Utopia are publicly-available fonts in PostScript
% .pfa and .pfb format.  We follow the TranScript
% conventions above to make short file names for these
% fonts.

CharterBT-Regular               = BCharReg
CharterBT-Bold                  = BCharBo
CharterBT-Italic                = BCharI
CharterBT-BoldItalic            = BCharBoI

Courier10PitchBT-Bold           = BCouBo
Courier10PitchBT-BoldItalic     = BCouBoI
Courier10PitchBT-Italic         = BCouI
Courier10PitchBT-Roman          = BCou

Utopia-Regular                  = UtopiReg
Utopia-Bold                     = UtopiBo
Utopia-Italic                   = UtopiI
Utopia-BoldItalic               = UtopiBoI
.fi
.RE
.sp
The mapping file is portable across all operating systems on which
.B lptops
runs.
.PP
On IBM VM/CMS, which uses a space instead of a period for the file
extension,
.B lptops
will internally replace the mapping file extension period by a space.
If extensions are supplied in the mapping file, a period, rather than
a space,
.I must
be supplied in the mapping file for parsing to be correct.
.PP
If compatibility with Adobe \*(Ts is required, the file extension in
the mapped file names should always be supplied as
.IR .afm .
.B lptops
will substitute
.I .pfa
or
.I .pfb
as needed.
.\"=====================================================================
.SH ENVIRONMENT
.TP \w'AFMPATH'u+2n
AFMPATH
Search path for the initialization file,
.RI ( lptops.ini ),
font mapping file,
.RI ( afmfonts.map ),
Adobe font metric
.RI ( .afm )
files, and for downloadable fonts in
\*(Ps ASCII
.RI ( .pfa )
and binary
.RI ( .pfb )
formats.
.IP
On UNIX, the search path is a colon-separated list of directories.  On
other operating systems, the search path follows the conventions of
those systems.
.PP
Local compile-time customizations permit changing the names of
environment variables, initialization file, and mapping file, and
allow the provision of a separate environment variable for the
initialization file search path, so
.B lptops
at your site may differ from the names documented here.  If so,
complain to the installer who forgot to update these manual pages!
.\"=====================================================================
.SH FILES
.TP \w'afmfonts.map'u+2n
*.afm
Adobe font metric files.
.TP
*.pfa
ASCII Type 1 \*(Ps font files for printer downloading.
.TP
*.pfb
Binary Type 1 \*(Ps font files for printer downloading.
.TP
afmfonts.map
Font mapping file for associating long case-sensitive
\*(Ps font names with host-dependent file names; see
the
.B "FONT MAPPING"
section above.
.TP
lptops
Executable program (UNIX).
.TP
lptops.exe
Executable program (non-UNIX).
.TP
lptops.ini
Startup file; see the
.B "INITIALIZATION FILE"
section above.
.\"=====================================================================
.SH "SEE ALSO"
.BR a2ps (1),
.BR ditroff (1L),
.BR enscript (1L),
.BR groff (1L),
.BR nroff (1),
.BR t1ascii (1L),
.BR t1asm (1L),
.BR t1binary (1L),
.BR t1disasm (1L).
.\"=====================================================================
.SH AVAILABILITY
.B lptops
is available from its master archive:
.RS
.nf
\&\fCftp://ftp.math.utah.edu/pub/lptops
http://www.math.utah.edu/pub/lptops/\fP
.fi
.RE
It requires only a few standard UNIX/POSIX tools,
and is expected to be trivially installable on
virtually any modern UNIX or POSIX-conformant
system.
.\"=====================================================================
.SH COPYRIGHT
.B lptops
is licensed under the GNU General Public License
as published by the Free Software Foundation;
either version 2, or (at your option) any later
version.  A copy of that license is included in
the file
.I COPYING
included with the
.B lptops
distribution.  The license is also available from
the Free Software Foundation, 675 Mass Ave,
Cambridge, MA 02139, USA, and at its World-Wide
Web site at
.RS
.nf
\&\fChttp://www.gnu.org/licenses/\fP
.fi
.RE
.\"=====================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe
Center for Scientific Computing
University of Utah
Department of Mathematics, 110 LCB
Salt Lake City, UT 84112-0090
USA
Tel: +1 801 581 5254
FAX: +1 801 581 4148
Email: \fCbeebe@math.utah.edu\fP, \fCbeebe@acm.org\fP,
       \fCbeebe@computer.org\fP, \fCbeebe@ieee.org\fP (Internet)
Web:  \fChttp://www.math.utah.edu/~beebe\fP
.fi
.PP
Original manual page by R. P. C. Rodgers, Computer Applications in
Laboratory Medicine Project, UCSF, San Francisco, CA 94143.
Rewritten for
.B lptops
versions 2 and 3 by NHFB.
.\"=====================================================================
